<script setup lang="ts">
import { ref } from 'vue'
import ReceiptDialog from './ReceiptDialog.vue'
import { useReceiptStore } from '@/views/Receipt/stores/receipt'
import { useDate } from 'vuetify'
const receiptStore = useReceiptStore()
const headers = ref([
  { title: 'ID', key: 'id', order: 'desc' },
  { title: 'Date', key: 'date' },
  { title: 'TIme', key: 'time' },
  { title: 'Total', key: 'total' },
  { title: 'Discount', key: 'discount' },
  { title: 'NetPrice', key: 'netprice' },
  { title: 'Receive', key: 'receive' },
  { title: 'Change', key: 'change' },
  { title: '', key: 'action' }
])
const search = ref('')

const sortBy = [{ key: 'id', order: 'desc' }]
</script>
<template>
  <v-data-table
    :sort-by="sortBy"
    :headers="headers"
    :items="receiptStore.receiptsView"
    item-value="id"
    class="h-screen"
    :search="search"
  >
    <template #top>
      <v-container fluid class="pa-5">
        <v-text-field
          density="compact"
          variant="solo"
          label="Search"
          append-inner-icon="mdi-magnify"
          v-model="search"
          single-line
          hide-details
        ></v-text-field>
      </v-container>
    </template>
    <template v-slot:item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ useDate().format(item.createDate, 'shortDate') }}</td>
        <td>{{ item.createDate.toLocaleTimeString('th-TH', { hour12: false }) }}</td>
        <td>{{ item.totalBefore }}</td>
        <td>{{ item.discount }}</td>
        <td>{{ item.netPrice }}</td>
        <td>{{ item.receivedAmount }}</td>
        <td>{{ item.change }}</td>
        <td><v-btn @click="receiptStore.addSelectReceipt(item)">More</v-btn></td>
      </tr>
    </template>
    <!-- <thead>
      <tr>
        <th>ID</th>
        <th>Date</th>
        <th>Total</th>
        <th>Discount</th>
        <th>NetPrice</th>
        <th>Receive</th>
        <th>Change</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in receiptStore.receiptsView" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.createDate }}</td>
        <td>{{ item.totalBefore }}</td>
        <td>{{ item.discount }}</td>
        <td>{{ item.netPrice }}</td>
        <td>{{ item.receivedAmount }}</td>
        <td>{{ item.change }}</td>

        <td><v-btn @click="receiptStore.addSelectReceipt(item)">More</v-btn></td>
      </tr>
    </tbody> -->
  </v-data-table>
  <ReceiptDialog></ReceiptDialog>
</template>
